## ros-foxy-pmb2-bringup 4.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pmb2_bringup)

find_package(ament_cmake_auto REQUIRED)

# PAL Robotics stricter build flags, other developers should not worry about this
find_package(ament_cmake_pal QUIET)

ament_auto_find_build_dependencies()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_auto_package(INSTALL_TO_SHARE config launch)

=== debian/changelog ===
ros-foxy-pmb2-bringup (4.0.4-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 18 Oct 2021 22:00:00 -0000

ros-foxy-pmb2-bringup (4.0.3-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 18 Oct 2021 22:00:00 -0000

ros-foxy-pmb2-bringup (4.0.2-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 14 Jul 2021 22:00:00 -0000

ros-foxy-pmb2-bringup (4.0.1-1focal) focal; urgency=high

  * Fix missing dependencies
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 14 Jul 2021 22:00:00 -0000

ros-foxy-pmb2-bringup (4.0.0-1focal) focal; urgency=high

  * Cleanup unused files
  * Add linters and fix errors
  * Cleanup pmb2_bringup
  * Remove old joystick_teleop.launch
  * Use unstamped topic in mobile_base_controller
  * Migrate pmb2_bringup to ROS2
  * First working version
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 11 Jul 2021 22:00:00 -0000

ros-foxy-pmb2-bringup (3.0.14-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 17 Jan 2021 23:00:00 -0000

ros-foxy-pmb2-bringup (3.0.13-1focal) focal; urgency=high

  * Merge branch 'rename_tf_prefix' into 'erbium-devel'
    Rename tf_prefix to robot_namespace
    See merge request robots/pmb2_robot!60
  * Rename tf_prefix to robot_namespace
  * Contributors: davidfernandez, victor

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 29 Jul 2020 22:00:00 -0000

ros-foxy-pmb2-bringup (3.0.12-1focal) focal; urgency=high

  * Revert "Use master calib multipliers"
    This reverts commit b4f49b5d8f77efa562aa25bafd4676821189151d.
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 15 Jul 2020 22:00:00 -0000

ros-foxy-pmb2-bringup (3.0.11-1focal) focal; urgency=high

  * Use master calib multipliers
  * Merge branch 'add-master-calibration' into 'erbium-devel'
    use multipliers from master calibration if available
    See merge request robots/pmb2_robot!61
  * use multipliers from master calibration if available
  * Merge branch 'fix-changelog' into 'erbium-devel'
    fixed changelog
    See merge request robots/pmb2_robot!55
  * fixed changelog
  * Contributors: Procópio Stein, Victor Lopez, procopiostein

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Thu, 09 Jul 2020 22:00:00 -0000

ros-foxy-pmb2-bringup (3.0.10-1focal) focal; urgency=high

  * Merge branch 'fix-twist' into 'erbium-devel'
    removed slash from out topi
    See merge request robots/pmb2_robot!54
  * removed slash from out topi
  * Merge branch 'remove-sonar-cloud' into 'erbium-devel'
    removed sonar cloud
    See merge request robots/pmb2_robot!50
  * removed dep and maint
  * removed sonar cloud
  * Contributors: Procópio Stein

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 20 Oct 2019 22:00:00 -0000

ros-foxy-pmb2-bringup (3.0.9-1focal) focal; urgency=high

  * Merge branch 'fix-twist-default' into 'erbium-devel'
    output uses default instead of value
    See merge request robots/pmb2_robot!49
  * output uses default instead of value
  * Contributors: Procópio Stein

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 01 Oct 2019 22:00:00 -0000

ros-foxy-pmb2-bringup (3.0.8-1focal) focal; urgency=high

  * depends on speed-limit-node
  * Contributors: Procópio Stein

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Thu, 26 Sep 2019 22:00:00 -0000

ros-foxy-pmb2-bringup (3.0.7-1focal) focal; urgency=high

  * Merge branch 'remove-speed-limit' into 'erbium-devel'
    removed speed limit
    See merge request robots/pmb2_robot!48
  * removed speed limit
  * Contributors: Procópio Stein

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 24 Sep 2019 22:00:00 -0000

ros-foxy-pmb2-bringup (3.0.6-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Thu, 19 Sep 2019 22:00:00 -0000

ros-foxy-pmb2-bringup (3.0.5-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 09 Sep 2019 22:00:00 -0000

ros-foxy-pmb2-bringup (3.0.4-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 16 Jul 2019 22:00:00 -0000

ros-foxy-pmb2-bringup (3.0.3-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 08 Apr 2019 22:00:00 -0000

ros-foxy-pmb2-bringup (3.0.2-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 30 Jan 2019 23:00:00 -0000

ros-foxy-pmb2-bringup (3.0.1-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 19 Dec 2018 23:00:00 -0000

ros-foxy-pmb2-bringup (3.0.0-1focal) focal; urgency=high

  * Merge branch 'specifics-refactor' into 'erbium-devel'
    Remove upload_pmb2.launch
    See merge request robots/pmb2_robot!40
  * Add rgbd sensors
  * Change robot parameter name
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 18 Dec 2018 23:00:00 -0000

ros-foxy-pmb2-bringup (2.0.8-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 26 Nov 2018 23:00:00 -0000

ros-foxy-pmb2-bringup (2.0.7-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 29 Jul 2018 22:00:00 -0000

ros-foxy-pmb2-bringup (2.0.6-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Thu, 26 Apr 2018 22:00:00 -0000

ros-foxy-pmb2-bringup (2.0.5-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 16 Apr 2018 22:00:00 -0000

ros-foxy-pmb2-bringup (2.0.4-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 16 Apr 2018 22:00:00 -0000

ros-foxy-pmb2-bringup (2.0.3-1focal) focal; urgency=high

  * Merge branch 'test-branch' into 'erbium-devel'
    Test branch
    See merge request robots/pmb2_robot!27
  * Merge remote-tracking branch 'origin/deprecate_upload_pmb2' into test-branch


=== debian/control ===
Source: ros-foxy-pmb2-bringup
Section: misc
Priority: optional
Maintainer: Victor Lopez <victor.lopez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-auto, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-pmb2-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-joy, ros-foxy-joy-teleop, ros-foxy-launch-pal, ros-foxy-pmb2-controller-configuration, ros-foxy-pmb2-description, ros-foxy-robot-state-publisher, ros-foxy-twist-mux, ros-foxy-ros-workspace
Description: Launch files and scripts needed to bring up the ROS nodes of a PMB2 robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-pmb2-bringup//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
